glib-networking (2.68.1-1) experimental; urgency=medium

  * New upstream release:
    - Download and validate missing intermediate certificates
    - Fix a couple code issues found by Coverity
    - Fix check for certain handshake failure conditions
    - Fix double free in GnuTLS client certificate request code
    - Fix NULL dereference in g_tls_connection_base_read_message
    - Fix threadsafety issue in certificate verification
    - Implement PKCS#11 API
    - Implement TLS channel bindings API
    - Improve heuristic for returning G_TLS_ERROR_CERTIFICATE_REQUIRED
    - OpenSSL backend now uses system crypto policy
    - Remove use of g_assert in testsuite
    - Restore support for old versions of OpenSSL
    - Temporarily remove support for downloading missing intermediate
      certificates with GnuTLS 3.7
    - Update testsuite for Fedora 33 crypto policy
  * control: Bump glib BD per upstream

 -- Iain Lane <laney@debian.org>  Tue, 29 Jun 2021 17:47:50 +0100

glib-networking (2.66.0-2) unstable; urgency=medium

  * Team upload
  * Add Breaks on libsoup2.4-tests that are broken by this version.
    Older libsoup tests constructed a GTlsFileDatabase for /dev/null, which
    only worked because older versions of glib-networking ignored the
    error reported by GNUTLS when doing this. (Closes: #970935)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 16:52:41 +0100

glib-networking (2.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Translation updates
  * d/watch: Only watch for stable versions again
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 09:53:44 +0100

glib-networking (2.65.90-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
    - Fix peer-certificate[-errors] properties being set too soon
    - Various fixes to OpenSSL backend
      (as recommended by upstream, this is not used in Debian)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Aug 2020 14:25:35 +0100

glib-networking (2.64.3-2) unstable; urgency=medium

  * Team upload
  * Add Breaks on balsa versions older than the one fixing CVE-2020-13645,
    to prevent regressions
    - Version 2.6.1-1 is required in Debian, but use 2.6.0-2ubuntu0.1
      to be nice to Ubuntu users. There were no versions between
      2.6.0-2 and 2.6.1-1 in Debian.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Jul 2020 11:51:32 +0100

glib-networking (2.64.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't behave as though server TLS certificate had been verified
      successfully if the application didn't specify the expected identity.
      (CVE-2020-13645, Closes: #961756; the only application known to be
      affected is balsa).
  * Upload to experimental to facilitate testing new balsa versions.
    This version should gain Breaks: balsa (<< fixed version) before
    being released to unstable.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Jul 2020 15:25:22 +0100

glib-networking (2.64.2-1) unstable; urgency=medium

  * New upstream release, reenable TLS 1.0/1.1 protocols due to COVID-19

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Apr 2020 10:27:16 +0200

glib-networking (2.64.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:40:47 -0400

glib-networking (2.64.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Upload to unstable
    - In particular, this removes a test that asserts we are able to
      work around servers' protocol intolerance by falling back to older
      TLS versions. That feature enables downgrade attacks, and was
      removed in GLib 2.63.2 and glib-networking 2.63.2, causing the
      test to fail in older glib-networking versions. (Closes: #953766)
  * Switch packaging branch back to debian/master for unstable
  * d/watch: Only look for stable releases again
  * Standards-Version: 4.5.0 (no changes required)
  * d/copyright: Remove PKCS11 stuff.
    Its addition was reverted in 2.63.90.

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Mar 2020 09:51:06 +0000

glib-networking (2.63.92-1) experimental; urgency=medium

  * New upstream release
    - Revert "Fix peer-certificate properties changing too soon" from
      2.63.91-1. It broke libsoup2.4's tests.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Feb 2020 16:51:33 +0000

glib-networking (2.63.91-1) experimental; urgency=medium

  * New upstream release
    - Fix peer-certificate properties changing too soon
    - GnuTLS backend: reduce session resumption cache lifetime
    - GnuTLS backend: restore TLS 1.2 support for copy session state
  * control: Bump GLib BD to 2.63.0 per upstream

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 18:31:34 +0000

glib-networking (2.63.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2020 17:03:10 +0100

glib-networking (2.63.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - d/p/Disable-PKCS-11-client-authentication-test.patch,
      d/p/tls-tests-Fix-to-work-as-installed-tests.patch:
      Drop, applied upstream
  * Merge packaging changes from unstable
  * d/copyright: Further updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jan 2020 11:10:27 +0100

glib-networking (2.62.3-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Use upstream branch upstream/2.62.x to track stable

  [ Simon McVittie ]
  * d/watch: Only watch for stable versions
  * New upstream release
  * d/tests/installed-tests: Fail on reference to unset variables
  * d/tests/installed-tests: Remove support for old autopkgtest
    versions. AUTOPKGTEST_TMP is now required to be set, and we do not use
    the deprecated ADTTMP.
  * d/copyright: Update

  [ Automatic changes via lintian-brush ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Jan 2020 15:56:45 +0000

glib-networking (2.63.2-1) experimental; urgency=medium

  * New upstream release
    - Add support for new PKCS#11 APIs to facilitate use with smartcards
    - Build mock PKCS #11 module only for GnuTLS backend
    - Disable TLS 1.0 and TLS 1.1 when using GnuTLS
    - Drop rehandshake mode and protocol version fallback support
    - Fix crash when handshake context is reset too late
    - Fix leak in GTlsCertificateGnutls finalizer
    - Fix PKCS #11 tests with TLS 1.2
    - Require GnuTLS 3.6.5
    - Rework session resumption support for TLS 1.3
    - Run GnuTLS tests under TLS 1.2 in addition to TLS 1.3
    - Support OpenSSL 1.0.1
  * control: Bump gnutls BD to 3.6.5 per meson.build
  * d/p/Disable-PKCS-11-client-authentication-test.patch: Cherry pick. Follow
    upstream in disabling a flaky test
  * d/p/tls-tests-Fix-to-work-as-installed-tests.patch: Fix installed tests. A
    required module wasn't being installed, and the tests weren't written to
    find the files in the correct locations when run installed..

 -- Iain Lane <laney@debian.org>  Fri, 20 Dec 2019 12:29:00 +0000

glib-networking (2.62.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 20:35:56 -0400

glib-networking (2.62.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:20:08 +0200

glib-networking (2.62.0-1) experimental; urgency=medium

  * New upstream release
    - Verify socket timeouts are respected
    - Fix a couple broken error messages
  * Standards-Version → 4.4.0 (no changes required)

 -- Iain Lane <laney@debian.org>  Thu, 12 Sep 2019 13:34:40 +0100

glib-networking (2.61.90-1) experimental; urgency=medium

  * New upstream release
    - Fix translations of certain error messages
    - Improve certain handshake error messages
    - Fix regressions introduced in 2.61.1 (LP: #1839826)

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 12:37:52 +0100

glib-networking (2.61.1-1) experimental; urgency=medium

  * New upstream release
  * control: Bump BD on glib2.0 to 2.60.0, per meson.build

 -- Iain Lane <laney@debian.org>  Fri, 05 Jul 2019 18:02:04 +0100

glib-networking (2.60.3-1) experimental; urgency=medium

  * New upstream release (LP: #1832458)
    - Fix clobbering of the thread-default main context after certificate
      verification failure during async handshakes since 2.60.1
    - Fix GTlsDatabase initialization failures in OpenSSL backend due to
      uninitialized memory use
    - Fix minor leak of ALPN protocols
    - OpenSSL backend now defaults to system trust store
    - Fix client auth failure error with GnuTLS 3.6.7
  * gnutls-Handle-new-GNUTLS_E_CERTIFICATE_REQUIRED.patch: Drop. It's in this
    upstream release.

 -- Iain Lane <laney@debian.org>  Wed, 12 Jun 2019 09:21:12 +0100

glib-networking (2.60.1-1) experimental; urgency=medium

  * New upstream release
    - Improve reliability of client auth failure tests
    - Fix excessive CPU usage after sync handshake
  * Cherry-pick patch from upstream to fix tests with gnutls 3.6.7. This now
    returns GNUTLS_E_CERTIFICATE_REQUIRED, which we should convert to
    G_TLS_ERROR_CERTIFICATE_REQUIRED.

 -- Iain Lane <laney@debian.org>  Thu, 04 Apr 2019 11:16:58 +0100

glib-networking (2.60.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 20:14:27 -0400

glib-networking (2.60.0-1) experimental; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Mon, 11 Mar 2019 16:07:50 +0000

glib-networking (2.59.92-1) experimental; urgency=medium

  * New upstream release
    - GnuTLS: reject sync operations during handshake to avoid deadlocks
    - Temporarily disable DTLS and OpenSSL tests due to upstream bugs #49 and
      #54
      + This was already Debian patches, FWIW.
  * debian/patches: Drop. The tests are skipped upstream now.

 -- Iain Lane <laney@debian.org>  Tue, 05 Mar 2019 17:48:35 +0000

glib-networking (2.59.91-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 20:17:45 -0500

glib-networking (2.59.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum meson to 0.47.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * debian/rules: Use -Dauto_features=enabled
  * Stop overriding libexecdir

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 20:03:46 -0500

glib-networking (2.58.0-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:40:07 -0500

glib-networking (2.58.0-1) unstable; urgency=medium

  * New upstream translation release
  * debian/control{,.in}: Bump Standards-Version to 4.2.1, no changes needed

 -- Iain Lane <laney@debian.org>  Tue, 04 Sep 2018 17:56:38 +0100

glib-networking (2.57.92-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 13:07:11 -0400

glib-networking (2.57.90-1) experimental; urgency=medium

  * debian/*: Update for experimental / 2.57
  * New upstream release 2.57.90 (LP: #1786809)
    - Properly check for server errors in connection tests
    - Perform certificate verification during, not after, TLS handshake
    - Avoid trailing dots in SNI hostnames
    - Send fallback SCSV with fallback connection attempts
    - Fail unsafe rehandshake attempts initiated by API request
    - Fix memory leaks when calling g_tls_connection_gnutls_get_certificate()
    - Use GnuTLS system trust and remove build option to specify cert bundle
    - Fix criticals when child streams outlast the parent GTlsConnection
    - Fix crash when setting client cert without private key
    - Never install GIO modules outside build prefix
    - Don't install test files if installed tests are disabled
    - Fix build with -Dpkcs11=false
    - g_tls_certificate_verify() no longer manually verifies certificate
      activation/expiration time, matching the current behavior of
      g_tls_database_verify_chain().
  * debian/control*:
    - Remove libp11-kit BD - upstream has disabled this by default now.
    - Standards-Version → 4.2.0, no changes required.

 -- Iain Lane <laney@debian.org>  Thu, 16 Aug 2018 10:40:20 +0200

glib-networking (2.56.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Standards-Version: 4.1.5 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jul 2018 20:51:19 +0100

glib-networking (2.56.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.3 (no changes required)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 10:14:13 -0400

glib-networking (2.55.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Iain Lane ]
  * Branch to experimental, update debian/{watch,gbp.conf,control{,.in}}
    accordingly.
  * New upstream release 2.55.90
    - Allow static linking
    - Fix issues found by coverity
    - Fix unit tests when SSLv3 is unavailable
    - Fix using different client certs for different connections
    - Implement DTLS support
    - Port to Meson build system
      + debian/rules: Update accordingly.
    - Try to ensure that GnuTLS is only initialized if TLS is actually used
    - Update use of GObject to follow current best practices
    - Use XDG_CURRENT_DESKTOP to determine which proxy module to load
  * debian/patches/01_connection_test.patch: Update for meson, mark as written
    by Emilio (ascertained by changelog mining).
  * debian/control{,.in}: BD on glib 2.55, as required by this version.

 -- Iain Lane <laney@debian.org>  Fri, 16 Feb 2018 16:14:03 +0000

glib-networking (2.54.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:58:23 -0500

glib-networking (2.54.1-1) unstable; urgency=medium

  * New upstream release
  * Switch from dh_install --fail-missing to dh_missing --fail-missing
  * Remove no longer needed Breaks/Replaces
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 00:39:37 +0100

glib-networking (2.54.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 14:53:20 -0400

glib-networking (2.53.90-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 12:21:26 -0400

glib-networking (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh compat to 10 (automatic dh-autoreconf).
  * debian/rules: remove '*.la' and use --fail-missing.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:01:51 +0200

glib-networking (2.49.90-1) unstable; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool
  * Convert from cdbs -> dh
  * Add debian/docs to ship NEWS

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 20:41:07 +0200

glib-networking (2.48.2-1) unstable; urgency=medium

  * New upstream release.
  * Install systemd user service for the glib-pacrunner D-Bus session service.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 23:59:04 +0200

glib-networking (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop glib-networking-dbg package now that we have automatic dbgsym
    packages.
  * Ensure proper upgrade from glib-networking-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2016 00:49:56 +0200

glib-networking (2.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/01_connection_test.patch to apply without fuzz.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:36:21 +0100

glib-networking (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop the Build-Conflicts against glib-networking, the test-suite passes
    now with that package installed.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 15:42:48 +0200

glib-networking (2.46.0-1) unstable; urgency=medium

  * New upstream release 2.46.0
    + Various minor cleanups and small memory leak fixes
    + Added a new test case for client certificate chain handling
  * Bump glib BD to ≥ 2.46, as per configure.ac.

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2015 17:16:27 +0100

glib-networking (2.45.1-1) experimental; urgency=medium

  * Update Vcs-* for experimental.
  * New upstream release 2.45.1
    + tls/gnutls: Implement g_tls_client_connection_copy_session_state(), to
      allow implementing FTP-over-TLS in gvfs.
  * Bump glib BD to ≥ 2.45.1, as per configure.ac.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 15:47:16 +0100

glib-networking (2.44.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/watch: Update to consider stable releases only.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 11:51:38 +0100

glib-networking (2.44.0-1) experimental; urgency=medium

  * New upstream release 2.44.0

 -- Iain Lane <laney@debian.org>  Mon, 30 Mar 2015 16:50:37 +0100

glib-networking (2.43.92-1) experimental; urgency=medium

  * New upstream release 2.43.92
    + Fix TLS session caching when using session tickets

 -- Iain Lane <laney@debian.org>  Thu, 19 Mar 2015 17:20:45 +0000

glib-networking (2.43.91-1) experimental; urgency=medium

  * New upstream release 2.43.91
    - tls/gnutls: Removed a workaround for connecting to servers with weak DH
      parameters, which was apparently only needed because gnutls was
      prioritizing DHE over RSA.
    - tls/gnutls: We now require gnutls 3.x again. (In fact, 2.42.1 and 2.43.1
      accidentally used a 3.x-only function, so we already required it, we
      were just failing to declare that fact.)
    - tls/tests: Skip certain tests when running against old gnutls or GLib
      releases. (glib-networking 2.43.91 itself does not require GLib 2.43,
      but one of the test cases does.)
  * Drop glib BD back to 2.42 as per configure.ac; the problematic test is
    automatically skipped upstream if necessary now.
  * Increase libgnutls28-dev BD to 3.0, as per configure.ac

 -- Iain Lane <laney@debian.org>  Wed, 04 Mar 2015 12:54:23 +0000

glib-networking (2.43.1-1) experimental; urgency=medium

  * debian/watch: Watch unstable version too, for experimental.
  * New upstream release 2.43.1, including changes:
    + The GTlsClientConnection "use-ssl3" property now falls back to TLS 1.0
      if SSL 3.0 has been disabled, rather than just failing. Also, we now use
      the gnutls %LATEST_RECORD_VERSION option by default (to allow connecting
      to certain servers that were incorrectly patched for the POODLE attack),
      but also make sure to remove that option in the fallback ("use-ssl3")
      mode (to allow connecting to other servers that are differently broken).
    + tls/gnutls: Miscellaneous warning, debugging, and leak fixes.
  * Bump glib BD to 2.43 (greater than configure.ac; one test requires this
    version).
  * Standards-Version → 3.9.6, no changes required.

 -- Iain Lane <laney@debian.org>  Tue, 25 Nov 2014 18:27:15 +0000

glib-networking (2.42.0-2) unstable; urgency=medium

  * debian/patches/01_connection_test.patch:
    + Disable tls/connection tests. They are racy and so unreliable.
      Closes: #762588.
  * debian/rules:
    + Set VERBOSE so we get more information when a test fails.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 22 Oct 2014 23:41:04 +0200

glib-networking (2.42.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:36:57 +0200

glib-networking (2.41.92-2) unstable; urgency=medium

  * Target unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Sep 2014 10:18:53 +0200

glib-networking (2.41.92-1) experimental; urgency=medium

  * debian/tests/installed-tests: Use dbus-run-session instead of dbus-launch.
  * New upstream release 2.41.92
    - tls/gnutls: Incorrectly-ordered certificate chains are now accepted
    - tls/gnutls: Closing an already-closed GTlsConnection now correctly
      returns TRUE rather than G_IO_ERROR_CLOSED

 -- Iain Lane <laney@debian.org>  Fri, 19 Sep 2014 15:36:11 +0100

glib-networking (2.41.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Unset $http_proxy during autopkgtest; the test suite doesn't get along
    with it, and doesn't need internet access.

  [ Andreas Henriksson ]
  * New upstream development release.
  * Bump glib build-dependency to >= 2.41.3 (current experimental version)
    since testsuite fails if we use 2.40.0 (current testing/unstable version).

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 14:10:53 -0700

glib-networking (2.40.1-2) unstable; urgency=medium

  * Team upload.

  [ Dimitri John Ledkov ]
  * Switch to gnutls28. (Closes: #747451)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Jul 2014 13:30:46 +0200

glib-networking (2.40.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Fix Vcs-Browser URL

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 20:46:19 +0200

glib-networking (2.40.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 15:59:58 +0200

glib-networking (2.40.0-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add xauth test depends, it is only a recommends of xvfb.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 22:28:24 +0100

glib-networking (2.39.90-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 19:56:24 +0100

glib-networking (2.39.3-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Bump glib build dependency.
    + Standards-Version is 3.9.5, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 18:51:31 +0100

glib-networking (2.38.2-1) unstable; urgency=low

  [ Vincent Cheng ]
  * Add missing entries in debian/copyright. (Closes: #725998)

  [ Iain Lane ]
  * Use dh-autoreconf to update libtool.m4 for new ports.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Feb 2014 12:59:52 +0100

glib-networking (2.38.1-1) experimental; urgency=low

  * debian/control{,.in}: Add XS-Testsuite header
  * New upstream release
    + glibpacrunner: Don't crash if there is an internal libproxy error.
    + tls/tests: Fix installed tests to not accidentally depend on having the
      source tree still exist.
  * debian/control: Have the tests depend on ca-certificates.

 -- Iain Lane <laney@debian.org>  Thu, 17 Oct 2013 16:01:40 +0100

glib-networking (2.38.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depend on GLib >= 2.38 and libproxy >= 0.4 (test
    failures with 0.3)
  * Build & package installed tests
  * Add autopkgtest to run the installed tests

 -- Iain Lane <laney@debian.org>  Wed, 25 Sep 2013 11:45:34 +0000

glib-networking (2.36.1-2) unstable; urgency=low

  * Merge experimental branch, upload to unstable.
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 May 2013 07:04:53 +0200

glib-networking (2.36.1-1) experimental; urgency=low

  * New upstream release.

 -- Iain Lane <laney@debian.org>  Tue, 23 Apr 2013 11:28:54 +0100

glib-networking (2.36.0-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 25 Mar 2013 16:04:44 +0100

glib-networking (2.35.9-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2013 18:39:07 +0100

glib-networking (2.35.8-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 19:31:23 +0100

glib-networking (2.34.0-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Oct 2012 16:50:01 +0200

glib-networking (2.33.14-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.33.14) so we don't pick up
    the version from unstable. This will also generate a tight enough
    dependency.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Sep 2012 21:12:58 +0200

glib-networking (2.33.12-1) experimental; urgency=low

  * New upstream version, matching glib 2.33.12.
  * debian/control.in: Bump glib build dependency to >= 2.33.12.
  * debian/control.in: Switch Vcs-* to experimental branch.
  * debian/watch: Watch for unstable versions while we are tracking the 2.34
    development versions.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 05:55:23 +0200

glib-networking (2.32.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 20:31:34 +0200

glib-networking (2.32.1-1) unstable; urgency=low

  * New upstream release:
    - gnutls: added /etc/ssl/ca-bundle.pem to the list of files to check for
      to use as the default CA list. (This is what openSUSE uses; not relevant
      for Debian/Ubuntu).
    - Translation updates.
  * debian/copyright: Rewrite to use copyright 1.0 format.
  * debian/control.in: Bump Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Apr 2012 23:43:39 +0200

glib-networking (2.32.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:53:25 +0200

glib-networking (2.32.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 02:08:13 +0200

glib-networking (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * Bump Build-Depends on cdbs and debhelper for multiarch support.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 02:56:17 +0100

glib-networking (2.31.20-1) experimental; urgency=low

  * New upstream development release.
  * debian/control.in: Update Build-Depends.
  * debian/rules: Explicitly enable libproxy and gnutls support for more
    reliable build results.
  * Enable PKCS#11 support.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 09:48:53 +0100

glib-networking (2.30.2-1) unstable; urgency=low

  * New upstream release.
  * Instead of removing files via debian/rules, just be a bit more specific
    what we want to install in debian/glib-networking-services.install.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Jan 2012 13:21:18 +0100

glib-networking (2.30.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 21:41:27 +0100

glib-networking (2.30.1-2) experimental; urgency=low

  * Break pre-multiarch glib (for modules path transition).
  * glib-networking autodetects the path, no change needed.
  * Split glib-networking for multiarch support:
    - glib-networking contains the gio modules (m-a: same).
    - g-n-services contains the D-Bus services (m-a: foreign).
    - g-n-common contains the data.
  * Add build-conflict about glib-networking itself (fails the test
    suite).

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2011 16:32:49 +0100

glib-networking (2.30.1-1) experimental; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Oct 2011 12:02:55 +0200

glib-networking (2.30.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Build-Depends on libglib2.0-dev to (>= 2.29.18).
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Remove patches, all merged upstream:
    - debian/patches/01_tls_small_keys.patch
    - debian/patches/02_gerror_crash.patch
    - debian/patches/03_tls_compat.patch
    - debian/patches/04_rehandshake.patch
    - debian/patches/05_virtualhosts.patch
    - debian/patches/06_gnutls3.patch
  * debian/copyright:
    - Update FSF address.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 19:18:55 +0200

glib-networking (2.28.7-2) unstable; urgency=low

  * Include a handful of changes from upstream git to improve TLS
    support.
    + 01_tls_small_keys.patch: allow small TLS keys that some embedded
      servers use.
    + 02_gerror_crash.patch: fix a crash when passed a NULL GError.
    + 03_tls_compat.patch: use %COMPAT in the protocol lists to handle
      some broken servers. Closes: #636911.
    + 04_rehandshake.patch: handle rehandshake requests.
    + 05_virtualhosts.patch: don’t reuse sessions for different virtual
      hosts on the same IP, some broken servers don’t like that.
    + 06_gnutls3.patch: support GnuTLS 3.x, in case the transition
      starts soon.
  * Require an intltool version with working quilt support.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Sep 2011 20:30:16 +0200

glib-networking (2.28.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Fix Vcs-* path for experimental → unstable.
  * debian/control.in: Bump Standards-Version to 3.9.2 (no changes necessary).
  * debian/watch: Fix syntax to actually recognize the current version.
  * debian/watch: Fetch bzip2 tarballs.
  * debian/rules: Remove unnecessary *.la files.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 May 2011 07:48:14 +0200

glib-networking (2.28.6.1-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches/Only-set-GTLS-errors-when-errors-have-occurred.patch
    - Removed, fixed upstream
  * debian/patches/work-around-intltool-issue.patch
    - Remove, no longer necessary

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 26 Apr 2011 22:23:37 +0100

glib-networking (2.28.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/Only-set-GTLS-errors-when-errors-have-occurred.patch
    - Added. Only reports errors when sending if errors occurred
  * debian/patches/work-around-intltool-issue.patch
    - Added. Work around intltool discovering translations in applied patched
      (Debian bug #560704)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 26 Apr 2011 19:10:10 +0100

glib-networking (2.28.4-2) unstable; urgency=low

  [ Rodrigo Moya ]
  * debian/rules:
    - Remove *.a files in the correct arch-specific dir

  [ Sebastian Dröge ]
  * debian/control.in:
    + Add debug package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Apr 2011 14:06:31 +0200

glib-networking (2.28.4-1) unstable; urgency=low

  * New upstream stable release.
    + debian/control.in:
      - Build-depend on gsettings-desktop-schemas-dev, depend on
        gsettings-desktop-schemas.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 08:48:49 +0000

glib-networking (2.28.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:21:29 +0000

glib-networking (2.27.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Bump libglib2.0-dev build requirement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jan 2011 01:58:58 +0000

glib-networking (2.27.5-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Bump libglib2.0-dev build requirement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 01:50:21 +0000

glib-networking (2.27.4-1) experimental; urgency=low

  * Initial release. Closes: #607409.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Dec 2010 01:03:19 +0000
